<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="location">
			<ui:include src="/pages/admin/submenu.xhtml" />
		</ui:define>
		<ui:define name="body">
			<p:panel id="panel_addaproles" header="#{facesContext.translate('title.admin.approles.add')}" toggleable="true" collapsed="true">
				<p:panelGrid columns="2">
					<h:outputText value="#{facesContext.translate('admin.table.right.username')}/#{facesContext.translate('admin.table.right.groupname')}" />
					<p:panelGrid columns="2">
						<p:selectOneMenu id="usnr" value="#{adminModel.usnr}" filter="true">
							<f:selectItem itemLabel="#{facesContext.translate('button.choose')}" itemValue="" />
							<f:selectItems value="#{adminModel.users}" var="u" itemLabel="#{u.username} (#{u.fullname})" itemValue="#{u.usnr}" />
						</p:selectOneMenu>
						<p:selectOneMenu id="role" value="#{adminModel.pk}" filter="true">
							<f:selectItem itemLabel="#{facesContext.translate('button.choose')}" itemValue="" />
							<f:selectItems value="#{adminModel.usergroups}" var="g" itemLabel="#{g.name}" itemValue="#{g.pk}" />
						</p:selectOneMenu>
					</p:panelGrid>
					<h:outputText value="#{facesContext.translate('admin.table.right.rolename')}" />
					<p:selectOneMenu id="right" value="#{adminModel.rightId}" filter="true">
						<f:selectItems value="#{adminModel.applRoles}" var="r" itemLabel="#{r.value}" itemValue="#{r.key}" />
					</p:selectOneMenu>
					<h:outputText value="#{facesContext.translate('admin.table.right.accesslevel')}" />
					<p:panelGrid columns="3">
						<p:selectBooleanCheckbox id="read" value="#{adminModel.acl.read}" itemLabel="#{facesContext.translate('admin.table.right.accesslevel.0')}" />
						<p:selectBooleanCheckbox id="write" value="#{adminModel.acl.write}" itemLabel="#{facesContext.translate('admin.table.right.accesslevel.1')}" />
						<p:selectBooleanCheckbox id="use" value="#{adminModel.acl.execute}" itemLabel="#{facesContext.translate('admin.table.right.accesslevel.2')}" />
					</p:panelGrid>
				</p:panelGrid>
				<p:commandButton id="btn_add" action="#{adminController.doAddApplrole}" value="#{facesContext.translate('button.add')}" icon="fa fa-plus" ajax="false" />
			</p:panel>
			<p:panel header="#{facesContext.translate('title.admin.approles.list')}">
				<p:dataTable id="roles" value="#{adminModel.roles}" var="r" rows="10" paginator="true">
					<p:column headerText="#{facesContext.translate('admin.table.right.username')}/#{facesContext.translate('admin.table.right.groupname')}" filterable="true" filterBy="#{r.fullname}" sortable="true" sortBy="#{r.surname}" filterMatchMode="contains"
					          styleClass="column-description">
						<h:outputText value="#{r.username} (#{r.fullname})" rendered="#{r.isUserPrivilege}" />
						<h:outputText value="#{r.groupname}" rendered="#{r.isGroupPrivilege}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('admin.table.right.rolename')}" filterable="true" filterBy="#{r.rightName}" sortable="true" sortBy="#{r.rightName}" filterMatchMode="contains"
					          styleClass="column-name">
						<h:outputText value="#{r.rightName}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('admin.table.right.accesslevel')}"
					          styleClass="column-privileges">
						<ship:accessLevel value="#{r.acl}" labelRead="#{facesContext.translate('admin.table.right.accesslevel.0')}" labelWrite="#{facesContext.translate('admin.table.right.accesslevel.1')}"
							labelExecute="#{facesContext.translate('admin.table.right.accesslevel.2')}" readonly="true" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.lastchange')}" sortable="true" sortBy="#{r.lastchange}"
					          styleClass="column-datetime">
						<h:outputText value="#{r.lastchange}">
							<f:convertDateTime pattern="yyyy-MM-dd HH:mm:ss" /><!-- TODO: localize date/time format -->
						</h:outputText>
					</p:column>
					<p:column headerText="#{facesContext.translate('label.actions')}" styleClass="oneiconbutton">
						<ship:removeButton id="btn_delete" action="#{adminController.doRemoveApplrole(r.usnr, r.group, r.rightId)}" value="" isLink="false"
							title="#{facesContext.translate('title.delete.approve')}" tooltip="#{facesContext.translate('button.delete')}" approveButtonLabel="#{facesContext.translate('button.yes')}"
							cancelButtonLabel="#{facesContext.translate('button.no')}">
							<h:outputText value="#{facesContext.translate('confirmation.delete.admin.role', r.isUserPrivilege ? r.forename.concat(' ').concat(r.surname) : r.groupname, r.rightName)}" />
						</ship:removeButton>
					</p:column>
				</p:dataTable>
			</p:panel>
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Diese Seite verwaltet die Anwendungsrollen. Dabei können Rolle Nutzern und/oder Nutzergruppen zugewiesen werden. Die Zugriffsberechtigung wird über die Zugriffsebene 
			eingestellt; Lesezugriff verhindert das Manipulieren von Einstellungen, Ausführen ermöglicht das Nutzen in verschiedenen Bereichen. Somit erlaubt das Lesen in der Rolle 
			vargroup, dass diese im Modul Variablengruppe angezeigt wird. Das Schreiben erlaubt der Schreibzugriff, und das Verwenden der Variablengruppe im Modul Qualitätsbericht wird 
			durch das Recht Ausführen ermöglicht. Sind beim Zuweisen Benutzername und Gruppenname eingestellt, werden die Rechte an der eingestellten Rolle an beide vergeben.
		</ui:define>
	</ui:composition>
</h:body>
</html>